$(document).ready(function() {
     $('#id_corporate').bind('change', function(){
         var id_corporate = ($('#id_corporate').val());
         Dajaxice.publieditor.content.on_select_corporate_news(
             Dajax.process, {'id_corporate': id_corporate}
         );
     });
     $('#id_brand1').bind('change', function(){
         var id_brand1 = ($('#id_brand1').val());
         Dajaxice.publieditor.content.on_select_brand(
             Dajax.process, {'id_brand': id_brand1}
         );
     });
     $('#id_brand2').bind('change', function(){
         var id_brand2 = ($('#id_brand2').val());
         Dajaxice.publieditor.content.on_select_brand(
             Dajax.process, {'id_brand': id_brand2}
         );
     });
     $('#id_model').bind('change', function(){
         var id_model = ($('#id_model').val());
         Dajaxice.publieditor.content.on_select_model(
             Dajax.process, {'id_model': id_model}
         );
     });
});

$(document).ready(function() {
    $(':checkbox[id^="carequipment_"]').change(function(e){
        e.preventDefault();
        var value = $(this).is(":checked");
        var equipment = $(this).data('equipment');
        var car = $(this).data('car');
        $('#loader').removeClass('invisible');
        Dajaxice.publieditor.content.update_equiment_matrix_cell(
            Dajax.process, {'value': value, 'equipment': equipment, 'car': car}
        );
    });
});

$(document).ready(function() {
    $(':checkbox[class="toggletd"]').change(function(e){
        e.preventDefault();
        var value = $(this).is(":checked");
        var equipment = $(this).data('equipment');
        var carmodel = $(this).data('carmodel');
        var row_cars = $(':checkbox[id^="carequipment_"][id$='+equipment+']');
        var row_visible_cars = $(':checkbox[id^="carequipment_"][id$='+equipment+']:not([readonly])');
        var cars = [];
        if (row_cars.length!=row_visible_cars.length) {
            for (pos=0; pos<row_visible_cars.length; pos++) {
                var checkbox = $(row_visible_cars[pos]);
                cars.push(checkbox.data('car'));
            }
        }
        $('#loader').removeClass('invisible');
        Dajaxice.publieditor.content.update_equiment_matrix_row(
            Dajax.process, {'value': value, 'equipment': equipment, 'carmodel': carmodel, 'cars': JSON.stringify(cars)}
        );
    });
});

$(document).ready(function() {
    $(':checkbox[class="car-header"]').change(function(e){
        e.preventDefault();
        var value = $(this).is(":checked");
        var car = $(this).data('car');
        $('#loader').removeClass('invisible');
        Dajaxice.publieditor.content.update_equiment_matrix_column(
            Dajax.process, {'value': value, 'car': car}
        );
    });
});

$(document).ready(function() {
    $(':checkbox[class="toggleth"]').change(function(e){
        e.preventDefault();
        var value = $(this).is(":checked");
        var carmodel = $(this).data('carmodel');
        var motor = $(this).data('motor');
        $('#loader').removeClass('invisible');
        Dajaxice.publieditor.content.update_equiment_matrix_group(
            Dajax.process, {'value': value, 'carmodel': carmodel, 'motor': motor}
        );
    });
});
